petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGetType

Gets the PC method type and name (as a string) from the PC context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetType(PC pc,PCType *type)

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

type -name of preconditioner method Many br

Many br

### Keywords

PC, get, method, name, type

### See Also

PCSetType()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages